if (!require("pacman")) install.packages("pacman")
pacman::p_load(clusterProfiler,org.Mm.eg.db,ggplot2,Cairo,showtext,readxl,dplyr)
showtext_auto(enable=T)
font_add("TNM","timesbd.ttf")
size = 35
themes <- theme_bw()+
  theme(panel.background = element_rect(color = 'black'),
        title = element_text(size=size,family="TNM",color="black"),
        axis.text.x = element_text(size=size,face="bold",family="TNM",color="black"),
        axis.text.y = element_text(size=size,face="bold",family="TNM",color="black"),
        axis.title.x= element_text(size=size,face="bold",family="TNM",hjust=0.5,color="black"),
        axis.title.y= element_text(size=size,face="bold",family="TNM",hjust=0.5,color="black"),
        legend.text=element_text(color="black",size=size, face="bold",family = "TNM"),
        legend.title = element_text(color="black", size=size, face="bold",family = "TNM"),
        plot.title = element_text(hjust = 0.5),
        strip.text.x = element_text(size=size, angle=0, face="bold"),
        strip.text.y = element_text(size=size, face="bold"),
        strip.background = element_rect(colour="black", fill="white"))

setwd("E:/NAS/实验数据/数据处理/Lab.R CLG.R.105 ZTT - 热图 - 2022.07.21")
library(pheatmap)
df <- read.csv('gene - 1.CSV',row.names = 1)
head(df)
col <- colnames(df)
coln <- sapply(strsplit(col,'_'),'[',1)
pdf('Heatmap1.pdf',width = 12,height = 18)
pheatmap(df,scale = 'row',  color = colorRampPalette(c("darkblue", "white", "red3"))(99), #配色
         cluster_cols = F,
         labels_col = coln, fontsize=28,fontfamily = 'TNM')
dev.off()

df <- read.csv('gene - 2.CSV',row.names = 1)
head(df)
col <- colnames(df)
coln <- sapply(strsplit(col,'_'),'[',1)
pdf('Heatmap2.pdf',width = 12,height = 18)
pheatmap(df,scale = 'row',  color = colorRampPalette(c("darkblue", "white", "red3"))(99), #配色
         cluster_cols = F,
         labels_col = coln, fontsize=28,fontfamily = 'TNM')
dev.off()
