pacman::p_load(dplyr,ggplot2,data.table,tidyr,Cairo,showtext,ggrepel,mixOmics)
showtext_auto(enable=T)
font_add("TNM","timesbd.ttf")
dat<-read.csv("1310.CSV",row.names=1,encoding = "UTF-8")
head(dat)
data<-dat
library(dplyr)
size=30
themes <- theme_bw()+
  theme(
    title = element_text(size=size,family="TNM",color="black"),
    axis.text.x = element_text(size=20,face="bold",family="TNM",color="black"),
    axis.text.y = element_text(size=20,face="bold",family="TNM",color="black"),
    axis.title.x= element_text(size=size,face="bold",family="TNM",hjust=0.5,color="black"),
    axis.title.y= element_text(size=size,face="bold",family="TNM",hjust=0.5,color="black"),
    legend.text=element_text(color="black",size=size, face="bold",family = "TNM"),
    legend.title = element_text(color="black", size=size, face="bold",family = "TNM"),
    plot.title = element_text(hjust = 0.5),
    panel.background = element_blank(),legend.background = element_blank(),
    legend.key = element_blank(),
    # axis.line = element_line(size=1, colour = "black"),
    strip.text.x = element_text(size=size, angle=0, face="bold"),
    strip.text.y = element_text(size=size, face="bold"),
    strip.background = element_rect(colour="black", fill="white"))

a<-data
head(a)
b<-t(a)
b <- b[,apply(b, 2, function(x) all(x > 0))]
b <- scale(b,center = T)
c<-pca(as.data.frame(b),scale = TRUE)
score<-c$variates$X %>% data.frame()
score$Group <- sapply(strsplit(rownames(score),'_'),'[',1)
score$Group <- factor(score$Group,levels = unique(score$Group))
ggplot(data=score,aes(x=PC1,y=PC2,group=Group))+
  geom_point(aes(color=Group),size=4)+
  geom_vline(xintercept = c(0),linetype="dashed")+ 
  geom_hline(yintercept = c(0),linetype="dashed")+
  scale_color_manual(values = scales::hue_pal()(8))+  
  # stat_ellipse(aes(group=Group,color=Group),level=0.9,lwd=1.0)+
  stat_ellipse(data=as.data.frame(score[grep('GP',score$Group),]),aes(group=Group,color=Group),level=0.7,lwd=1.0,type="norm")+##
  stat_ellipse(data=as.data.frame(score[grep('ND',score$Group),]),aes(group=Group,color=Group),level=0.75,lwd=1.0,type="norm")+##
  stat_ellipse(data=as.data.frame(score[grep('HFD',score$Group),]),aes(group=Group,color=Group),level=0.75,lwd=1.0,type="norm")+##
  themes+labs(col = '')

ggsave('pca.pdf',width = 10,height = 8)
