if (!require("pacman")) install.packages("pacman")
pacman::p_load(dplyr,ggplot2,data.table,tidyr,Cairo,showtext,ggrepel)
rm(list = ls())
showtext_auto(enable=T)
font_add("TNM","timesbd.ttf")
size=50
themes <-  theme(
  title = element_text(size=size,family="TNM",color="black"),
  axis.text.x = element_text(size=size,face="bold",family="TNM",color="black",angle = 0,hjust=0.5,vjust = -1),
  axis.text.y = element_text(size=size,face="bold",family="TNM",color="black"),
  axis.title.x= element_text(size=size,face="bold",family="TNM",hjust=0.5,color="black"),
  axis.title.y= element_text(size=size,face="bold",family="TNM",hjust=0.5,color="black"),
  legend.text=element_text(color="black",size=size, face="bold",family = "TNM"),
  legend.title = element_text(color="black", size=size, face="bold",family = "TNM"),
  plot.title = element_text(hjust = 0.5),
  panel.background = element_blank(),legend.background = element_blank(),
  legend.key = element_blank(),
  axis.line = element_line(size=1, colour = "black"),
  strip.text.x = element_text(size=size, angle=0, face="bold"),
  strip.text.y = element_text(size=size, face="bold"),
  strip.background = element_rect(colour="black", fill="white"))
df <- read.csv('.CSV',row.names = 1)
df
col <- sapply(strsplit(colnames(df),'_'),'[',1)
col
gp <- unique(col)


df1 <- df
df2 <- t(df1) %>% data.frame(check.names = F)
df2$Group <- col
i=1
for (i in 1:(ncol(df2)-1)) {
  df3 <- df2[,c(i,ncol(df2))] %>% na.omit()
  df3$value <- df3[,1]
  df3$Group <- factor(df3$Group,levels = gp)
  df_m <-plyr::ddply(df3,c("Group"),summarise,
                     N=length(value),mean = mean(value),sd= sd(value),se=sd/sqrt(N)) 
  df_m$p <- 1
  df_m$sig <-''
  ifelse(var.test(df3$value[grep(gp[2],df3$Group)],df3$value[grep(gp[1],df3$Group)])$p.value >= .05,
         df_m$p[2] <- t.test(df3$value[grep(gp[2],df3$Group)],df3$value[grep(gp[1],df3$Group)],var.equal = T)$p.value,
         df_m$p[2] <- t.test(df3$value[grep(gp[2],df3$Group)],df3$value[grep(gp[1],df3$Group)],var.equal = F)$p.value)
  ifelse(var.test(df3$value[grep(gp[3],df3$Group)],df3$value[grep(gp[2],df3$Group)])$p.value >= .05,
         df_m$p[3] <- t.test(df3$value[grep(gp[3],df3$Group)],df3$value[grep(gp[2],df3$Group)],var.equal = T)$p.value,
         df_m$p[3] <- t.test(df3$value[grep(gp[3],df3$Group)],df3$value[grep(gp[2],df3$Group)],var.equal = F)$p.value)
   
  ifelse(df_m$p[2] > .05,df_m$sig[2] <- df_m$sig[2], df_m$sig[2] <- '*')
  ifelse(df_m$p[3] > .05,df_m$sig[3] <- df_m$sig[3], df_m$sig[3] <- '#')
  df_m
  id <- colnames(df3)[1] 
  ggplot(df_m, aes_string('Group ','mean',fill = 'Group '))+
    geom_bar(col = 'black',position=position_dodge(0.5),width = 0.4,stat = "identity")+
    geom_errorbar(aes_string(min = 'mean+se',ymax = 'mean-se'),width = .15,size = 1,position=position_dodge(0.5))+
    labs(title = id, x = '', y = '' ,fill = '')+
    scale_fill_manual(values = scales::hue_pal()(8),breaks = gp,labels = (gp))+ 
    guides(fill=guide_legend(keywidth=0.5, keyheight=0.5,default.unit="inch",byrow = TRUE) )+
    scale_y_continuous(expand = c(0,0),limits = c(0,1.3*(max(df_m$mean+df_m$se))))+
    themes+
    geom_text(aes_string(y='mean+se',label = 'sig'),vjust = -.5,family = 'TNM',position=position_dodge(0.5),size = 18)+ #添加标签*
    theme(legend.position = 'none')+ 
    theme(legend.spacing.x = unit(.5, 'cm'))
  ggsave(paste0(sapply(strsplit(id,' '),'[',1),'.pdf'),width = 12,height = 11)
}
